Subject: Re: GridWay Experience Report
From: "Peter Troeger" <[email-masked]>
To: "Andreas Haas" <[email-masked]>
Cc: "Ruben Santiago Montero" <[email-masked]>, "Hrabri Rajic" <[email-masked]>,Ignacio Martín Llorente <[email-masked]>, "Roger Brobst" <[email-masked]>, "Daniel Templeton" <[email-masked]>
Date: Thu, 23 Mar 2006 10:33:19 -0500

>>>- State of jobs after suspension: I loved to read this, since I had
>>>exactly the same problem in the Condor DRMAA implementation. I ended up
>>>with marking such jobs as "was suspended before", in order to give the
>>>right active state afterwards. If we want to change the spec according
>>>to this, we have a post 1.0 issue.
>>
>>Great!. I think I can just make the same thing in GridWay DRMAA.
> 
> 
> Hm ... I doubt this is a good idea. Job suspension is different
> from triggering job rescheduling. If implementing job suspension
> is a severe problem for DRM vendors, I believe that should be rather
> an argument for not making it mandatory rather than deviating
> from the standard.

Even though we are running out of time for spec changes, this should be
a topic for the next DRMAA phone conference. Hrabri, could you put this
on the agenda ?

Regards,
Peter.